org.h2.samples

## Class FileFunctions

- java.lang.Object
- - org.h2.samples.FileFunctions

    public class FileFunctions
    extends java.lang.Object

This sample application shows how to create a user defined function to read a file from the file system.

### Constructor Summary

Constructors
Constructor and Description
`FileFunctions()`

### Method Summary

Methods
`static void` `main(java.lang.String... args)` This method is called when executing this sample application from the command line.
`static byte[]` `readFile(java.lang.String fileName)` Read a file into a byte array.
`static java.lang.String` `readTextFile(java.lang.String fileName)` Read a String from a file.
`static java.lang.String` `readTextFileWithEncoding(java.lang.String fileName, java.lang.String encoding)` Read a String from a file using the specified encoding.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileFunctions

    public FileFunctions()

### Method Detail

#### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

This method is called when executing this sample application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `java.lang.Exception`

#### readTextFile

    public static java.lang.String readTextFile(java.lang.String fileName)
                                         throws java.io.IOException

Read a String from a file. The default encoding for this platform is used.

Parameters:
  `fileName` - the file name
Returns:
  the text
Throws:
  `java.io.IOException`

#### readTextFileWithEncoding

    public static java.lang.String readTextFileWithEncoding(java.lang.String fileName,
                                            java.lang.String encoding)
                                                     throws java.io.IOException

Read a String from a file using the specified encoding.

Parameters:
  `fileName` - the file name
  `encoding` - the encoding
Returns:
  the text
Throws:
  `java.io.IOException`

#### readFile

    public static byte[] readFile(java.lang.String fileName)
                           throws java.io.IOException

Read a file into a byte array.

Parameters:
  `fileName` - the file name
Returns:
  the byte array
Throws:
  `java.io.IOException`